Add guard against ASDF<2.29
authorStelian Ionescu <sionescu@cddr.org>
Fri, 22 Feb 2013 20:40:58 +0000 (22 21:40 +0100)
committerStelian Ionescu <sionescu@cddr.org>
Fri, 22 Feb 2013 20:40:58 +0000 (22 21:40 +0100)
iolib.asd

index 8a4968a..de0fdae 100644 (file)
--- a/iolib.asd
+++ b/iolib.asd
@@ -1,5 +1,8 @@
 ;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
 
+(unless (or #+asdf3 (asdf/driver:version<= "2.29" (asdf-version)))
+  (error "You need ASDF >= 2.29 to load this system correctly."))
+
 (asdf:defsystem :iolib/asdf
   :description "A few ASDF component classes."
   :author "Stelian Ionescu <sionescu@cddr.org>"